Bug 680589 - Unable to find 7z
Summary: Unable to find 7z
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator
Version: 14
Hardware: Unspecified
OS: Windows
unspecified
high
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-26 05:06 UTC by sgovindachar
Modified: 2016-09-20 02:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 22:25:48 UTC
Type: ---


Attachments (Terms of Use)

Description sgovindachar 2011-02-26 05:06:52 UTC
Description of problem: 

liveusb-creator.exe reports it can't find 7z and says to extract all contents -- but all contents have been extracted, and provided 7z is in path


Version-Release number of selected component (if applicable):

After installing liveusb-creator-3.10.0-setup.exe on Windows XP Pro

How reproducible:

Steps to Reproduce:

1. 1) During installation of liveusb-creator-3.10.0-setup.exe, select location to install as c:\opt\LiveUSB Creator

2. Add both c:\opt\LiveUSB Creator and c:\opt\LiveUSB Creator\local to PATH

3. Open cmd window in any directory.  Verify both 7z and liveusb-creator.exe are in the path (running 7z will output its help message).

4. Download Fedora-14-x86_64-Live-Desktop.iso to some local directory.

5. Run c:\opt\LiveUSB Creator\liveusb-creator.exe and specify iso downloaded in Step 4.

6. Select USB

7. Select some bytes for persistence 
  
Actual results:

Complains about not finding 7z, and says to extract all contents

Expected results:

A live F-14 USB

Additional info:

Was able to get F-14 live USB with pendrivelinux.com's Universal-USB-Installer-1.8.3.4.exe

Comment 1 Anthony Penniston 2011-07-13 01:45:37 UTC
At one point I was able to find a workaround but was much too frustrated at the time to file a bug report, I regret it. 

I hope this will greatly help whoever owns this bug:
http://lynxlee.blogspot.com/2011/05/cannot-find-7z-fedora-liveusb-creator.html

it's as simple as it doesn't work if it is not installed in the default programs directory.

For a tool that is supposed to be the first impression for would-be Fedora users it's disheartening that it's been like this for 2+ years now.

Comment 2 Luke Macken 2011-07-14 12:24:12 UTC
I believe I fixed this issue in https://fedorahosted.org/liveusb-creator/changeset/18aad7c1d32892c565c816fe4977dabe98779a4d

I'm spinning up a fresh Windows virtual machine to compile a new release.

Comment 3 Luke Macken 2011-07-14 18:31:26 UTC
https://fedorahosted.org/releases/l/i/liveusb-creator/liveusb-creator-3.12.0-beta-setup.exe

This beta should work when the liveusb-creator is installed to non-default locations. Testers appreciated! If this does the trick, I'll do an official release shortly.

Comment 4 Anthony Penniston 2011-07-19 11:38:03 UTC
Works on my system installing to anywhere now!

looking at the diff quickly, wouldn't:
  paths = [os.path.join(os.path.dirname(__file__), '..', '..'), '.']
mean you don't need this line anymore?:
  paths = [os.path.join(x, folder) for x in (prgmfiles, prgmfiles + ' (x86)')]

Comment 5 uchiki86 2011-08-14 20:38:36 UTC
@Luke, I can confirm the beta working after previously having the issue with 3.11.1. Fedora 15 USB disk created properly.

Comment 6 Fedora End Of Life 2012-08-16 22:25:50 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.